### Type parameters

- #### R

### Hierarchy

- ReadableStreamDefaultReader

## Index

### Properties

- closed

### Methods

- cancel
- read
- releaseLock

## Properties

### closed

closed: Promise<void>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11937

## Methods

### cancel

- cancel(reason?: any): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11938

  #### Parameters

  - ##### Optional reason: any

  #### Returns Promise<void>

### read

- read(): Promise<ReadableStreamReadResult<R>>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11939

  #### Returns Promise<ReadableStreamReadResult<R>>

### releaseLock

- releaseLock(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11940

  #### Returns void

Generated using TypeDoc